Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fxcm.messaging
Interface ISessionStatus

    public interface ISessionStatus

Interface class that defines support of session status bar with predefined fields and behavior.

Field Summary
`static String` | `CONNECT_HTTP` HTTP connection
`static String` | `CONNECT_NONSECURE` Not secure connection
`static String` | `CONNECT_SECURE` Secure connection
`static String` | `CONNECT_TCP` TCP connection
`static int` | `MSGCODE_ASYNCFAILD` asynchronous failed
`static int` | `MSGCODE_CMDFAILED` command failed
`static int` | `MSGCODE_COMMBROKEN` communication broken
`static int` | `MSGCODE_COMMNOTINIT` communication did not initialize
`static int` | `MSGCODE_COMMRESTORE` communication restore
`static int` | `MSGCODE_COMMRESTORED` communication restored
`static int` | `MSGCODE_CONNECTED` connected
`static int` | `MSGCODE_CONNECTING` connecting
`static int` | `MSGCODE_CONNFAILED` connection failed
`static int` | `MSGCODE_DISCONNECTING` disconnecting
`static int` | `MSGCODE_EXTRA_AUTH_FAILED` extra auth failed
`static int` | `MSGCODE_EXTRA_AUTH_STARTED` extra auth started
`static int` | `MSGCODE_LOGINFAILED` login failed
`static int` | `MSGCODE_NONE` none
`static int` | `MSGCODE_REQFAILED` request failed
`static int` | `MSGCODE_REQSENT` request sent
`static int` | `MSGCODE_SENDINGREQUEST` sending request
`static int` | `MSGCODE_SESSIONEXPIRED` session expired
`static int` | `MSGCODE_SESSNCLOSED` session closed
`static int` | `MSGCODE_TIMEOUT` timeout
`static int` | `MSGCODE_WRONGSEQNO` wrong sequence number
`static int` | `STATUSCODE_ATTACHING` Attaching status code
`static int` | `STATUSCODE_CONNECTED` Connected status code
`static int` | `STATUSCODE_CONNECTING` Connecting status code
`static int` | `STATUSCODE_CRITICAL_ERROR` Critical error status code
`static int` | `STATUSCODE_DISCONNECTED` Disconnected status code
`static int` | `STATUSCODE_DISCONNECTING` Disconnecting status code
`static int` | `STATUSCODE_ERROR` Error status code
`static int` | `STATUSCODE_EXPIRED` Expired status code
`static int` | `STATUSCODE_EXTRA_AUTH_PASSED` Extra auth passed status code
`static int` | `STATUSCODE_FORCED_RELOGIN` Forced relogin status code
`static int` | `STATUSCODE_LOGGEDIN` Loggeding status code
`static int` | `STATUSCODE_LOGGINGIN` logging in status code
`static int` | `STATUSCODE_PROCESSING` Processing status code
`static int` | `STATUSCODE_READY` Ready status code
`static int` | `STATUSCODE_RECIEVING` Recieving status code
`static int` | `STATUSCODE_SENDING` Sending status code
`static int` | `STATUSCODE_SHUTDOWN` Shutdown status code
`static int` | `STATUSCODE_WAIT` Waiting status code

Method Summary
`String` | `getConnectionName()` Obtains connection name.
`String` | `getProtocolName()` Obtains protocol name.
`int` | `getQueueSize()` Obtains message queue size.
`String` | `getSecureProtocolString()` Obtains secure protocol indicator.
`int` | `getStatusCode()` Obtains action status code.
`String` | `getStatusMessage()` Obtains action status message.
`int` | `getStatusMessageID()` Obtains status message resource id.
`String` | `getStatusName()` Obtains action status name.

Field Detail

### STATUSCODE_ERROR

    static final int STATUSCODE_ERROR

  Error status code

  See Also:
    Constant Field Values

### STATUSCODE_DISCONNECTED

    static final int STATUSCODE_DISCONNECTED

  Disconnected status code

  See Also:
    Constant Field Values

### STATUSCODE_READY

    static final int STATUSCODE_READY

  Ready status code

  See Also:
    Constant Field Values

### STATUSCODE_CONNECTING

    static final int STATUSCODE_CONNECTING

  Connecting status code

  See Also:
    Constant Field Values

### STATUSCODE_SENDING

    static final int STATUSCODE_SENDING

  Sending status code

  See Also:
    Constant Field Values

### STATUSCODE_RECIEVING

    static final int STATUSCODE_RECIEVING

  Recieving status code

  See Also:
    Constant Field Values

### STATUSCODE_PROCESSING

    static final int STATUSCODE_PROCESSING

  Processing status code

  See Also:
    Constant Field Values

### STATUSCODE_DISCONNECTING

    static final int STATUSCODE_DISCONNECTING

  Disconnecting status code

  See Also:
    Constant Field Values

### STATUSCODE_LOGGEDIN

    static final int STATUSCODE_LOGGEDIN

  Loggeding status code

  See Also:
    Constant Field Values

### STATUSCODE_WAIT

    static final int STATUSCODE_WAIT

  Waiting status code

  See Also:
    Constant Field Values

### STATUSCODE_EXPIRED

    static final int STATUSCODE_EXPIRED

  Expired status code

  See Also:
    Constant Field Values

### STATUSCODE_SHUTDOWN

    static final int STATUSCODE_SHUTDOWN

  Shutdown status code

  See Also:
    Constant Field Values

### STATUSCODE_FORCED_RELOGIN

    static final int STATUSCODE_FORCED_RELOGIN

  Forced relogin status code

  See Also:
    Constant Field Values

### STATUSCODE_CONNECTED

    static final int STATUSCODE_CONNECTED

  Connected status code

  See Also:
    Constant Field Values

### STATUSCODE_LOGGINGIN

    static final int STATUSCODE_LOGGINGIN

  logging in status code

  See Also:
    Constant Field Values

### STATUSCODE_ATTACHING

    static final int STATUSCODE_ATTACHING

  Attaching status code

  See Also:
    Constant Field Values

### STATUSCODE_EXTRA_AUTH_PASSED

    static final int STATUSCODE_EXTRA_AUTH_PASSED

  Extra auth passed status code

  See Also:
    Constant Field Values

### STATUSCODE_CRITICAL_ERROR

    static final int STATUSCODE_CRITICAL_ERROR

  Critical error status code

  See Also:
    Constant Field Values

### MSGCODE_NONE

    static final int MSGCODE_NONE

  none

  See Also:
    Constant Field Values

### MSGCODE_SENDINGREQUEST

    static final int MSGCODE_SENDINGREQUEST

  sending request

  See Also:
    Constant Field Values

### MSGCODE_COMMBROKEN

    static final int MSGCODE_COMMBROKEN

  communication broken

  See Also:
    Constant Field Values

### MSGCODE_TIMEOUT

    static final int MSGCODE_TIMEOUT

  timeout

  See Also:
    Constant Field Values

### MSGCODE_REQFAILED

    static final int MSGCODE_REQFAILED

  request failed

  See Also:
    Constant Field Values

### MSGCODE_REQSENT

    static final int MSGCODE_REQSENT

  request sent

  See Also:
    Constant Field Values

### MSGCODE_CMDFAILED

    static final int MSGCODE_CMDFAILED

  command failed

  See Also:
    Constant Field Values

### MSGCODE_COMMRESTORE

    static final int MSGCODE_COMMRESTORE

  communication restore

  See Also:
    Constant Field Values

### MSGCODE_COMMRESTORED

    static final int MSGCODE_COMMRESTORED

  communication restored

  See Also:
    Constant Field Values

### MSGCODE_CONNECTING

    static final int MSGCODE_CONNECTING

  connecting

  See Also:
    Constant Field Values

### MSGCODE_CONNFAILED

    static final int MSGCODE_CONNFAILED

  connection failed

  See Also:
    Constant Field Values

### MSGCODE_LOGINFAILED

    static final int MSGCODE_LOGINFAILED

  login failed

  See Also:
    Constant Field Values

### MSGCODE_CONNECTED

    static final int MSGCODE_CONNECTED

  connected

  See Also:
    Constant Field Values

### MSGCODE_DISCONNECTING

    static final int MSGCODE_DISCONNECTING

  disconnecting

  See Also:
    Constant Field Values

### MSGCODE_SESSNCLOSED

    static final int MSGCODE_SESSNCLOSED

  session closed

  See Also:
    Constant Field Values

### MSGCODE_COMMNOTINIT

    static final int MSGCODE_COMMNOTINIT

  communication did not initialize

  See Also:
    Constant Field Values

### MSGCODE_ASYNCFAILD

    static final int MSGCODE_ASYNCFAILD

  asynchronous failed

  See Also:
    Constant Field Values

### MSGCODE_SESSIONEXPIRED

    static final int MSGCODE_SESSIONEXPIRED

  session expired

  See Also:
    Constant Field Values

### MSGCODE_WRONGSEQNO

    static final int MSGCODE_WRONGSEQNO

  wrong sequence number

  See Also:
    Constant Field Values

### MSGCODE_EXTRA_AUTH_FAILED

    static final int MSGCODE_EXTRA_AUTH_FAILED

  extra auth failed

  See Also:
    Constant Field Values

### MSGCODE_EXTRA_AUTH_STARTED

    static final int MSGCODE_EXTRA_AUTH_STARTED

  extra auth started

  See Also:
    Constant Field Values

### CONNECT_SECURE

    static final String CONNECT_SECURE

  Secure connection

  See Also:
    Constant Field Values

### CONNECT_NONSECURE

    static final String CONNECT_NONSECURE

  Not secure connection

  See Also:
    Constant Field Values

### CONNECT_TCP

    static final String CONNECT_TCP

  TCP connection

  See Also:
    Constant Field Values

### CONNECT_HTTP

    static final String CONNECT_HTTP

  HTTP connection

  See Also:
    Constant Field Values

Method Detail

### getConnectionName

    String getConnectionName()

  Obtains connection name.

  Returns:
    `null` when not present

### getProtocolName

    String getProtocolName()

  Obtains protocol name.

  Returns:
    `null` when not present

### getQueueSize

    int getQueueSize()

  Obtains message queue size.

  Returns:
    number of messages remaining in queue

### getSecureProtocolString

    String getSecureProtocolString()

  Obtains secure protocol indicator.

  Returns:
    `null` when not present

### getStatusCode

    int getStatusCode()

  Obtains action status code.

  Returns:
    `0` when not present

### getStatusMessage

    String getStatusMessage()

  Obtains action status message.

  Returns:
    `null` when not present

### getStatusMessageID

    int getStatusMessageID()

  Obtains status message resource id.

  Returns:
    `0` when not present

### getStatusName

    String getStatusName()

  Obtains action status name.

  Returns:
    `null` when not present

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 FXCM, LLC. All Rights Reserved.